/*
    Copyright (C) 2013 Nicola L.C. Talbot
    www.dickimaw-books.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
package com.dickimawbooks.makejmlrbookgui;

import javax.swing.tree.TreeModel;
import javax.swing.JTree;

public class WalkEvent
{
   public WalkEvent(JTree tree, TreeModel model, Object parent, Object node, boolean isLeaf)
   {
      this.tree = tree;
      this.model = model;
      this.parent = parent;
      this.node = node;
      this.isLeaf = isLeaf;
   }

   public TreeModel getModel()
   {
      return model;
   }

   public Object getNode()
   {
      return node;
   }

   public Object getParent()
   {
      return parent;
   }

   public boolean isLeaf()
   {
      return isLeaf;
   }

   public JTree getTree()
   {
      return tree;
   }

   private JTree tree;
   private TreeModel model;
   private Object node, parent;
   private boolean isLeaf;
}
